View Issue Details

IDProjectCategoryLast Update
0020851AI War 2[All Projects] Balance IssueDec 27, 2018 3:16 pm
ReporterzeusalmightyAssigned ToRocketAssistedPuffin 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.809 Divide By Human 
Fixed in Version0.810 Brace for Cross Planet Attack 
Summary0020851: Ambush turrets to gain cloaking
DescriptionAmbush turrets need to be placed by wormholes to be effective, but because of their shortish range, they can easily be devastated any time the Devourer Golem comes around. In its current state, ambush turrets are totally non-viable if you have the devourer golem on. (This really bugs me, personally)

To alleviate this issue, I think it's worth considering giving ambush turrets cloaking (so the devourer won't insta-kill your ambush turrets). Plus, this seems to be thematically fitting as well--if any turrets should gain cloaking, certainly the ambush turrets should.

 
TagsNo tags attached.

Activities

RocketAssistedPuffin

Dec 20, 2018 7:03 pm

developer   ~0050630

Just a small bit of Cloaking perhaps? You would have to put them on hold fire each time the Devourer comes around as well, else they will reveal themselves eventually.

zeusalmighty

Dec 20, 2018 7:39 pm

reporter   ~0050633

Yeah, they don't need much to be effective (and not be hopelessly countered by the cookie monster)

RocketAssistedPuffin

Dec 27, 2018 3:16 pm

developer   ~0050673

Just added this in now.

Issue History

Date Modified Username Field Change
Dec 20, 2018 6:20 pm zeusalmighty New Issue
Dec 20, 2018 7:03 pm RocketAssistedPuffin Note Added: 0050630
Dec 20, 2018 7:39 pm zeusalmighty Note Added: 0050633
Dec 21, 2018 10:59 am RocketAssistedPuffin Assigned To => RocketAssistedPuffin
Dec 21, 2018 10:59 am RocketAssistedPuffin Status new => assigned
Dec 27, 2018 3:16 pm RocketAssistedPuffin Status assigned => resolved
Dec 27, 2018 3:16 pm RocketAssistedPuffin Resolution open => fixed
Dec 27, 2018 3:16 pm RocketAssistedPuffin Fixed in Version => 0.810 Brace for Cross Planet Attack
Dec 27, 2018 3:16 pm RocketAssistedPuffin Note Added: 0050673